<!DOCTYPE html>
<html><head>
<title>eric7.EricWidgets.EricProxyStyle</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.EricWidgets.EricProxyStyle</h1>
<p>
Module implementing a proxy style to allow item selection by single/double click or
platform default.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#EricProxyStyle">EricProxyStyle</a></td>
<td>Class implementing a proxy style to allow item selection by single/double click or platform default.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="EricProxyStyle" ID="EricProxyStyle"></a>
<h2>EricProxyStyle</h2>
<p>
    Class implementing a proxy style to allow item selection by single/double click or
    platform default.
</p>

<h3>Derived from</h3>
QProxyStyle
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#EricProxyStyle.styleHint">styleHint</a></td>
<td>Public method returning a style hint for the given widget described by the provided style option.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="EricProxyStyle.styleHint" ID="EricProxyStyle.styleHint"></a>
<h4>EricProxyStyle.styleHint</h4>
<b>styleHint</b>(<i>hint, option=None, widget=None, returnData=None</i>)
<p>
        Public method returning a style hint for the given widget described by the
        provided style option.
</p>

<dl>

<dt><i>hint</i> (QStyle.StyleHint)</dt>
<dd>
style hint to be determined
</dd>
<dt><i>option</i> (QStyleOption (optional))</dt>
<dd>
style option (defaults to None)
</dd>
<dt><i>widget</i> (QWidget (optional))</dt>
<dd>
reference to the widget (defaults to None)
</dd>
<dt><i>returnData</i> (QStyleHintReturn (optional))</dt>
<dd>
data structure to return more data (defaults to None)
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
integer representing the style hint
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
